commit:     de6d7838925e9b1e49eb7ce695d6068470e71367
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  1 23:16:35 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Nov  1 23:41:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de6d7838

app-text/vgrep: bump to v2.5.0

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-text/vgrep/Manifest                            |  1 +
 app-text/vgrep/files/vgrep-2.5.0-remove-sudo.patch | 15 +++++++++
 app-text/vgrep/vgrep-2.5.0.ebuild                  | 37 ++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/app-text/vgrep/Manifest b/app-text/vgrep/Manifest
index b83fb59f87b..392fc95ec72 100644
--- a/app-text/vgrep/Manifest
+++ b/app-text/vgrep/Manifest
@@ -1,3 +1,4 @@
 DIST vgrep-2.3.1.tar.gz 1149421 BLAKE2B 
c4c9a414bba5e509d57faa9ca6f6ce5cae1dbb001ff8b410ad54691ec6bf39f41c535fd25bdd5d93fdf89b4e4b49acf4dfa9a8956653e5c5e2ce39bd7da8d484
 SHA512 
0fa65151ae40f7fefc4e5b1af8e6ea332b50b1136849ec0902dd110786ca14204441e27c65a036b08fa56bf04a6325d8aa8ef2d4d02cdb0e0fe219896e24d694
 DIST vgrep-2.3.3.tar.gz 1149769 BLAKE2B 
59f15e0f2d9fd069b4926cb26a0517cb1d201dccce53d7c6b3ec1954693a3286396e8d4d72e2c3bcc4bb8e70083ba1ea349dfc4bec244caa112fcc2289063c25
 SHA512 
b745ec24bb5c329a3d0e4e756e54432f3acf9c24f9492339b69850d5a8e688074323d7e56c584e59f3aedf3a41b84997497791512dae2950424eaed56d6b7329
 DIST vgrep-2.4.0.tar.gz 1196159 BLAKE2B 
f8b6b8166feb17ddeea7978ff14fd729ee395feb9658cbfc838f978f33169c7ca15dcd4008af54582aca25a0803924c508da11603d02e42d1e597a5813f78c3b
 SHA512 
c614b52fe7fa720d3d2bb57830805c1ebb7c47db549aadda9309676b9c286447e693e51f74f969ccd0450934510bfe79c1603717022dd69c9f7f2709cbfd4465
+DIST vgrep-2.5.0.tar.gz 1355064 BLAKE2B 
7a724fed16ec4589ace159dd5dcbea8e4450393f2c356430d9e8e87b799191b06137e20f2d0c32c53b71ff79d5abaa5551f6254ef6989631d9f6b9d771a5fe18
 SHA512 
95ee8ff1ca705cec8deaabf8e20d39df23dbac1ab797d025ca253904bcb7f4cbedda3ef052d006064c8d652c06b50cc3e5e532108b23a95511ee7b85b8abb3d4

diff --git a/app-text/vgrep/files/vgrep-2.5.0-remove-sudo.patch 
b/app-text/vgrep/files/vgrep-2.5.0-remove-sudo.patch
new file mode 100644
index 00000000000..25764d199b4
--- /dev/null
+++ b/app-text/vgrep/files/vgrep-2.5.0-remove-sudo.patch
@@ -0,0 +1,15 @@
+https://github.com/vrothberg/vgrep/issues/130
+
+--- a/Makefile
++++ b/Makefile
+@@ -113,7 +113,8 @@ install: install-docs
+ 
+ .PHONY: install-docs
+ install-docs: docs
+-      sudo cp docs/*.1 ${MAN_DIR}/man1/
++      mkdir -p ${MAN_DIR}/man1/
++      cp docs/*.1 ${MAN_DIR}/man1/
+ 
+ .PHONY: uninstall
+ uninstall:
+ 

diff --git a/app-text/vgrep/vgrep-2.5.0.ebuild 
b/app-text/vgrep/vgrep-2.5.0.ebuild
new file mode 100644
index 00000000000..3875d547820
--- /dev/null
+++ b/app-text/vgrep/vgrep-2.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit go-module
+
+DESCRIPTION="A pager for grep, git-grep and similar grep implementations"
+HOMEPAGE="https://github.com/vrothberg/vgrep";
+SRC_URI="https://github.com/vrothberg/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD GPL-3+ MIT MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# Uses golangci-lint
+RESTRICT="test"
+
+BDEPEND="dev-go/go-md2man"
+
+DOCS=( README.md )
+
+PATCHES=( "${FILESDIR}"/vgrep-2.5.0-remove-sudo.patch )
+
+# go binary
+QA_PRESTRIPPED="usr/bin/vgrep"
+
+src_compile() {
+       emake build
+}
+
+src_install() {
+       local prefix="${D}/usr"
+       mkdir -p "${prefix}"/bin || die
+
+       emake PREFIX="${prefix}" install
+}

Reply via email to